package cn.kdan.compdf.service;

import cn.kdan.compdf.dto.PlanStatisticsDTO;
import cn.kdan.compdf.entity.BackgroundUserBalance;
import cn.kdan.compdf.vo.BackgroundUserBalanceVO;
import cn.kdan.compdf.vo.BackgroundUserPackageBalanceVO;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
 * @author ComPDFKit-WPH 2022-10-14
 */
public interface BackgroundUserBalanceService extends IService<BackgroundUserBalance> {

    /**
     * 列表查询
     * @param query 查询参数
     * @return 列表数据
     */
    IPage<BackgroundUserBalance> page(BackgroundUserBalance query);

    /**
     * 获取账户套餐余额
     * @param userId 用户id
     * @return 账户套餐余额
     */
    BackgroundUserPackageBalanceVO getPackageBalance(Long userId);

    /**
     * 获取账户消费充值记录
     * @param userId 用户id
     * @param page 当前页
     * @param size 当前页行数
     * @return 账户消费充值记录
     */
    IPage<BackgroundUserBalanceVO> getBalanceRecordList(Long userId, Integer page, Integer size);

    /**
     * plan 消费记录数据同步 一天一次
     */
    void planSync(List<PlanStatisticsDTO> list);
}